/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.common.command;

import de.ozgcloud.alfa.common.GrpcCallContextTestFactory;
import de.ozgcloud.alfa.postfach.PostfachMailTestFactory;
import de.ozgcloud.nachrichten.postfach.GrpcResendPostfachMailRequest;
import de.ozgcloud.vorgang.grpc.command.GrpcCallContext;

public class GrpcPostfachCommandTestFactory {

	private static final String POSTFACH_ID = PostfachMailTestFactory.ID;
	private static final String COMMAND_ID = CommandTestFactory.ID;
	private static final GrpcCallContext CALL_CONTEXT = GrpcCallContextTestFactory.create();

	public static GrpcResendPostfachMailRequest createResendPostfachMailRequest() {
		return createResendPostfachMailRequestBuilder().build();
	}

	public static GrpcResendPostfachMailRequest.Builder createResendPostfachMailRequestBuilder() {
		return GrpcResendPostfachMailRequest.newBuilder()
				.setContext(CALL_CONTEXT)
				.setPostfachMailId(POSTFACH_ID)
				.setCommandId(COMMAND_ID);
	}
}